Hooks:PostHook(WeaponFactoryTweakData, "init", "weaponfactorytweakdata_fmgattachments_init", function(self)

-- fixes the FMG9 irons still being stuck when a sight is attached by removing a redundant line of code
	self.parts.wpn_fps_smg_fmg9_body.adds = {
			--"wpn_fps_smg_fmg9_o_sight",
			"wpn_fps_smg_fmg9_b_dummy"
	}
	
-- disables magnifiers on iron sights	
	self.parts.wpn_fps_smg_fmg9_o_sight.forbids = {
			"wpn_fps_upg_o_xpsg33_magnifier",
			"wpn_fps_upg_o_sig"
	}
	
-- disables optics on Whisper-9 kit (i dunno how to add custom attachment points so we'll be disabling it for now)
	self.parts.wpn_fps_smg_fmg9_conversion.forbids = {
			"wpn_fps_smg_fmg9_o_sight",
			"wpn_fps_upg_ns_ass_smg_small",
			"wpn_fps_upg_ns_ass_smg_medium",
			"wpn_fps_upg_ns_ass_smg_large",
			"wpn_fps_upg_ns_ass_smg_stubby",
			"wpn_fps_upg_ns_ass_smg_tank",
			"wpn_fps_upg_ns_ass_smg_firepig",
			"wpn_fps_upg_ass_ns_surefire",
			"wpn_fps_upg_ass_ns_jprifles",
			"wpn_fps_upg_ass_ns_linear",
			"wpn_fps_upg_ass_ns_battle",
			"wpn_fps_upg_fl_pis_perst",
			"wpn_fps_upg_ns_pis_putnik",
			"wpn_fps_upg_fl_pis_laser",
			"wpn_fps_upg_fl_pis_tlr1",
			
			"wpn_fps_upg_o_sig",
			"wpn_fps_upg_o_xpsg33_magnifier",
			"wpn_fps_upg_o_specter",
			"wpn_fps_upg_o_acog",
			"wpn_fps_upg_o_aimpoint",
			"wpn_fps_upg_o_docter",
			"wpn_fps_upg_o_eotech",
			"wpn_fps_upg_o_t1micro",
			"wpn_fps_upg_o_cmore",
			"wpn_fps_upg_o_aimpoint_2",
			"wpn_fps_upg_o_eotech_xps",
			"wpn_fps_upg_o_reflex",
			"wpn_fps_upg_o_rx01",
			"wpn_fps_upg_o_rx30",
			"wpn_fps_upg_o_cs",
			"wpn_fps_upg_o_spot",
			"wpn_fps_upg_o_bmg",
			"wpn_fps_upg_o_uh",
			"wpn_fps_upg_o_fc1",
			"wpn_fps_upg_o_tf90",
			"wpn_fps_upg_o_poe"
		}

-- FMG9 scope stances
-- these stances are as close as I could get to make them seem aligned + functional, if you have better stances for them i'd love to know

self.wpn_fps_smg_fmg9.override = self.wpn_fps_smg_fmg9.override or {}

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_specter = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_specter or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_specter.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.911), rotation = Rotation(-0.05, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_aimpoint = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_aimpoint or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_aimpoint.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, -0.04, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_docter = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_docter or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_docter.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_eotech = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_eotech or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_eotech.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_t1micro = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_t1micro or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_t1micro.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_aimpoint_2 = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_aimpoint_2 or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_aimpoint_2.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, -0.04, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_eotech_xps = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_eotech_xps or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_eotech_xps.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_reflex = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_reflex or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_reflex.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_rx01 = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_rx01 or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_rx01.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_rx30 = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_rx30 or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_rx30.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_cmore = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_cmore or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_cmore.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_cs = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_cs or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_cs.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_eotech = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_eotech or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_eotech.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_acog = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_acog or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_acog.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(-0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_spot = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_spot or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_spot.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.911), rotation = Rotation(-0.05, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_uh = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_uh or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_uh.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_fc1 = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_fc1 or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_fc1.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_bmg = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_bmg or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_bmg.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0.04, 0, 0.841), rotation = Rotation(0, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_tf90 = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_tf90 or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_tf90.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.811), rotation = Rotation(0.1, 0, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_poe = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_poe or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_poe.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 0, 0.911), rotation = Rotation(0, -0.04, 0)} }


self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_sig = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_sig or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_sig.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 6, 0.911), rotation = Rotation(0.166, -0.1, 0)} }

self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_xpsg33_magnifier = self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_xpsg33_magnifier or {}
self.wpn_fps_smg_fmg9.override.wpn_fps_upg_o_xpsg33_magnifier.stance_mod = {wpn_fps_smg_fmg9 = {translation = Vector3(0, 6, 0.911), rotation = Rotation(0.166, -0.1, 0)} }
	
-- Adds all scopes into the FMG9 attachment pool
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_cmore")
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_reflex")
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_docter")
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_t1micro")
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_eotech")
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_eotech_xps")
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_rx01")
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_rx30")
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_acog")
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_aimpoint")
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_cs")
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_specter")
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_spot")
table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_poe")

table.insert(self.wpn_fps_smg_fmg9.uses_parts, "wpn_fps_upg_o_xpsg33_magnifier")	

end)